import type { ICsvDescriptor } from '../interfaces/csvdescriptor.js';
import { type IMonetaryTransaction } from '../interfaces/transaction.js';

export abstract class AcCsvParser<TOriginalTrnasction> {
  public abstract paymentProviderName: string;
  public abstract addCsvDecriptor(csvDescriptorArg: ICsvDescriptor): void;
  public abstract getTransactions(): Promise<IMonetaryTransaction[]>;
}
